"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  AccessDeniedException: () => AccessDeniedException,
  AdMarkerHls: () => AdMarkerHls,
  CmafEncryptionMethod: () => CmafEncryptionMethod,
  ConflictException: () => ConflictException,
  ConflictExceptionType: () => ConflictExceptionType,
  ContainerType: () => ContainerType,
  CreateChannelCommand: () => CreateChannelCommand,
  CreateChannelGroupCommand: () => CreateChannelGroupCommand,
  CreateOriginEndpointCommand: () => CreateOriginEndpointCommand,
  DeleteChannelCommand: () => DeleteChannelCommand,
  DeleteChannelGroupCommand: () => DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand: () => DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand: () => DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand: () => DeleteOriginEndpointPolicyCommand,
  DrmSystem: () => DrmSystem,
  GetChannelCommand: () => GetChannelCommand,
  GetChannelGroupCommand: () => GetChannelGroupCommand,
  GetChannelPolicyCommand: () => GetChannelPolicyCommand,
  GetOriginEndpointCommand: () => GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand: () => GetOriginEndpointPolicyCommand,
  InternalServerException: () => InternalServerException,
  ListChannelGroupsCommand: () => ListChannelGroupsCommand,
  ListChannelsCommand: () => ListChannelsCommand,
  ListOriginEndpointsCommand: () => ListOriginEndpointsCommand,
  ListTagsForResourceCommand: () => ListTagsForResourceCommand,
  MediaPackageV2: () => MediaPackageV2,
  MediaPackageV2Client: () => MediaPackageV2Client,
  MediaPackageV2ServiceException: () => MediaPackageV2ServiceException,
  PresetSpeke20Audio: () => PresetSpeke20Audio,
  PresetSpeke20Video: () => PresetSpeke20Video,
  PutChannelPolicyCommand: () => PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand: () => PutOriginEndpointPolicyCommand,
  ResourceNotFoundException: () => ResourceNotFoundException,
  ResourceTypeNotFound: () => ResourceTypeNotFound,
  ScteFilter: () => ScteFilter,
  ServiceQuotaExceededException: () => ServiceQuotaExceededException,
  TagResourceCommand: () => TagResourceCommand,
  ThrottlingException: () => ThrottlingException,
  TsEncryptionMethod: () => TsEncryptionMethod,
  UntagResourceCommand: () => UntagResourceCommand,
  UpdateChannelCommand: () => UpdateChannelCommand,
  UpdateChannelGroupCommand: () => UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand: () => UpdateOriginEndpointCommand,
  ValidationException: () => ValidationException,
  ValidationExceptionType: () => ValidationExceptionType,
  __Client: () => import_smithy_client.Client,
  paginateListChannelGroups: () => paginateListChannelGroups,
  paginateListChannels: () => paginateListChannels,
  paginateListOriginEndpoints: () => paginateListOriginEndpoints
});
module.exports = __toCommonJS(src_exports);

// src/MediaPackageV2Client.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return {
    ...options,
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "mediapackagev2"
  };
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/MediaPackageV2Client.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var asPartial = /* @__PURE__ */ __name((t) => t, "asPartial");
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = {
    ...asPartial((0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig)),
    ...asPartial(getHttpAuthExtensionConfiguration(runtimeConfig))
  };
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return {
    ...runtimeConfig,
    ...(0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    ...(0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    ...(0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    ...resolveHttpAuthRuntimeConfig(extensionConfiguration)
  };
}, "resolveRuntimeExtensions");

// src/MediaPackageV2Client.ts
var _MediaPackageV2Client = class _MediaPackageV2Client extends import_smithy_client.Client {
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_config_resolver.resolveRegionConfig)(_config_1);
    const _config_3 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_2);
    const _config_4 = (0, import_middleware_retry.resolveRetryConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, (configuration == null ? void 0 : configuration.extensions) || []);
    super(_config_8);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: this.getDefaultHttpAuthSchemeParametersProvider(),
        identityProviderConfigProvider: this.getIdentityProviderConfigProvider()
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
  getDefaultHttpAuthSchemeParametersProvider() {
    return import_httpAuthSchemeProvider.defaultMediaPackageV2HttpAuthSchemeParametersProvider;
  }
  getIdentityProviderConfigProvider() {
    return async (config) => new import_core.DefaultIdentityProviderConfig({
      "aws.auth#sigv4": config.credentials
    });
  }
};
__name(_MediaPackageV2Client, "MediaPackageV2Client");
var MediaPackageV2Client = _MediaPackageV2Client;

// src/MediaPackageV2.ts


// src/commands/CreateChannelCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");

var import_types = require("@smithy/types");

// src/protocols/Aws_restJson1.ts
var import_core2 = require("@aws-sdk/core");



// src/models/MediaPackageV2ServiceException.ts

var _MediaPackageV2ServiceException = class _MediaPackageV2ServiceException extends import_smithy_client.ServiceException {
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _MediaPackageV2ServiceException.prototype);
  }
};
__name(_MediaPackageV2ServiceException, "MediaPackageV2ServiceException");
var MediaPackageV2ServiceException = _MediaPackageV2ServiceException;

// src/models/models_0.ts
var _AccessDeniedException = class _AccessDeniedException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "AccessDeniedException",
      $fault: "client",
      ...opts
    });
    this.name = "AccessDeniedException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _AccessDeniedException.prototype);
    this.Message = opts.Message;
  }
};
__name(_AccessDeniedException, "AccessDeniedException");
var AccessDeniedException = _AccessDeniedException;
var AdMarkerHls = {
  DATERANGE: "DATERANGE"
};
var ConflictExceptionType = {
  CONFLICTING_OPERATION: "CONFLICTING_OPERATION",
  IDEMPOTENT_PARAMETER_MISMATCH: "IDEMPOTENT_PARAMETER_MISMATCH",
  RESOURCE_ALREADY_EXISTS: "RESOURCE_ALREADY_EXISTS",
  RESOURCE_IN_USE: "RESOURCE_IN_USE"
};
var _ConflictException = class _ConflictException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    this.name = "ConflictException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ConflictException.prototype);
    this.Message = opts.Message;
    this.ConflictExceptionType = opts.ConflictExceptionType;
  }
};
__name(_ConflictException, "ConflictException");
var ConflictException = _ConflictException;
var _InternalServerException = class _InternalServerException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalServerException",
      $fault: "server",
      ...opts
    });
    this.name = "InternalServerException";
    this.$fault = "server";
    Object.setPrototypeOf(this, _InternalServerException.prototype);
    this.Message = opts.Message;
  }
};
__name(_InternalServerException, "InternalServerException");
var InternalServerException = _InternalServerException;
var _ThrottlingException = class _ThrottlingException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ThrottlingException",
      $fault: "client",
      ...opts
    });
    this.name = "ThrottlingException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ThrottlingException.prototype);
    this.Message = opts.Message;
  }
};
__name(_ThrottlingException, "ThrottlingException");
var ThrottlingException = _ThrottlingException;
var ValidationExceptionType = {
  CENC_IV_INCOMPATIBLE: "CENC_IV_INCOMPATIBLE",
  CONTAINER_TYPE_IMMUTABLE: "CONTAINER_TYPE_IMMUTABLE",
  DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE: "DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE",
  ENCRYPTION_CONTRACT_SHARED: "ENCRYPTION_CONTRACT_SHARED",
  ENCRYPTION_CONTRACT_UNENCRYPTED: "ENCRYPTION_CONTRACT_UNENCRYPTED",
  ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE: "ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE",
  ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH: "ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH",
  END_TIME_EARLIER_THAN_START_TIME: "END_TIME_EARLIER_THAN_START_TIME",
  INVALID_MANIFEST_FILTER: "INVALID_MANIFEST_FILTER",
  INVALID_PAGINATION_MAX_RESULTS: "INVALID_PAGINATION_MAX_RESULTS",
  INVALID_PAGINATION_TOKEN: "INVALID_PAGINATION_TOKEN",
  INVALID_POLICY: "INVALID_POLICY",
  INVALID_ROLE_ARN: "INVALID_ROLE_ARN",
  INVALID_TIME_DELAY_SECONDS: "INVALID_TIME_DELAY_SECONDS",
  MANIFEST_NAME_COLLISION: "MANIFEST_NAME_COLLISION",
  MEMBER_DOES_NOT_MATCH_PATTERN: "MEMBER_DOES_NOT_MATCH_PATTERN",
  MEMBER_INVALID: "MEMBER_INVALID",
  MEMBER_INVALID_ENUM_VALUE: "MEMBER_INVALID_ENUM_VALUE",
  MEMBER_MAX_LENGTH: "MEMBER_MAX_LENGTH",
  MEMBER_MAX_VALUE: "MEMBER_MAX_VALUE",
  MEMBER_MIN_LENGTH: "MEMBER_MIN_LENGTH",
  MEMBER_MIN_VALUE: "MEMBER_MIN_VALUE",
  MEMBER_MISSING: "MEMBER_MISSING",
  NUM_MANIFESTS_HIGH: "NUM_MANIFESTS_HIGH",
  NUM_MANIFESTS_LOW: "NUM_MANIFESTS_LOW",
  ROLE_ARN_INVALID_FORMAT: "ROLE_ARN_INVALID_FORMAT",
  ROLE_ARN_LENGTH_OUT_OF_RANGE: "ROLE_ARN_LENGTH_OUT_OF_RANGE",
  ROLE_ARN_NOT_ASSUMABLE: "ROLE_ARN_NOT_ASSUMABLE",
  URL_INVALID: "URL_INVALID",
  URL_LINK_LOCAL_ADDRESS: "URL_LINK_LOCAL_ADDRESS",
  URL_LOCAL_ADDRESS: "URL_LOCAL_ADDRESS",
  URL_LOOPBACK_ADDRESS: "URL_LOOPBACK_ADDRESS",
  URL_MULTICAST_ADDRESS: "URL_MULTICAST_ADDRESS",
  URL_PORT: "URL_PORT",
  URL_SCHEME: "URL_SCHEME",
  URL_UNKNOWN_HOST: "URL_UNKNOWN_HOST",
  URL_USER_INFO: "URL_USER_INFO"
};
var _ValidationException = class _ValidationException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    this.name = "ValidationException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ValidationException.prototype);
    this.Message = opts.Message;
    this.ValidationExceptionType = opts.ValidationExceptionType;
  }
};
__name(_ValidationException, "ValidationException");
var ValidationException = _ValidationException;
var ResourceTypeNotFound = {
  CHANNEL: "CHANNEL",
  CHANNEL_GROUP: "CHANNEL_GROUP",
  ORIGIN_ENDPOINT: "ORIGIN_ENDPOINT"
};
var _ResourceNotFoundException = class _ResourceNotFoundException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    this.name = "ResourceNotFoundException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
    this.Message = opts.Message;
    this.ResourceTypeNotFound = opts.ResourceTypeNotFound;
  }
};
__name(_ResourceNotFoundException, "ResourceNotFoundException");
var ResourceNotFoundException = _ResourceNotFoundException;
var _ServiceQuotaExceededException = class _ServiceQuotaExceededException extends MediaPackageV2ServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ServiceQuotaExceededException",
      $fault: "client",
      ...opts
    });
    this.name = "ServiceQuotaExceededException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ServiceQuotaExceededException.prototype);
    this.Message = opts.Message;
  }
};
__name(_ServiceQuotaExceededException, "ServiceQuotaExceededException");
var ServiceQuotaExceededException = _ServiceQuotaExceededException;
var ContainerType = {
  CMAF: "CMAF",
  TS: "TS"
};
var CmafEncryptionMethod = {
  CBCS: "CBCS",
  CENC: "CENC"
};
var TsEncryptionMethod = {
  AES_128: "AES_128",
  SAMPLE_AES: "SAMPLE_AES"
};
var DrmSystem = {
  CLEAR_KEY_AES_128: "CLEAR_KEY_AES_128",
  FAIRPLAY: "FAIRPLAY",
  PLAYREADY: "PLAYREADY",
  WIDEVINE: "WIDEVINE"
};
var PresetSpeke20Audio = {
  PRESET_AUDIO_1: "PRESET_AUDIO_1",
  PRESET_AUDIO_2: "PRESET_AUDIO_2",
  PRESET_AUDIO_3: "PRESET_AUDIO_3",
  SHARED: "SHARED",
  UNENCRYPTED: "UNENCRYPTED"
};
var PresetSpeke20Video = {
  PRESET_VIDEO_1: "PRESET_VIDEO_1",
  PRESET_VIDEO_2: "PRESET_VIDEO_2",
  PRESET_VIDEO_3: "PRESET_VIDEO_3",
  PRESET_VIDEO_4: "PRESET_VIDEO_4",
  PRESET_VIDEO_5: "PRESET_VIDEO_5",
  PRESET_VIDEO_6: "PRESET_VIDEO_6",
  PRESET_VIDEO_7: "PRESET_VIDEO_7",
  PRESET_VIDEO_8: "PRESET_VIDEO_8",
  SHARED: "SHARED",
  UNENCRYPTED: "UNENCRYPTED"
};
var ScteFilter = {
  BREAK: "BREAK",
  DISTRIBUTOR_ADVERTISEMENT: "DISTRIBUTOR_ADVERTISEMENT",
  DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY",
  DISTRIBUTOR_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_PLACEMENT_OPPORTUNITY",
  PROGRAM: "PROGRAM",
  PROVIDER_ADVERTISEMENT: "PROVIDER_ADVERTISEMENT",
  PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY: "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY",
  PROVIDER_PLACEMENT_OPPORTUNITY: "PROVIDER_PLACEMENT_OPPORTUNITY",
  SPLICE_INSERT: "SPLICE_INSERT"
};

// src/protocols/Aws_restJson1.ts
var se_CreateChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ChannelName: [],
      Description: [],
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateChannelCommand");
var se_CreateChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT]
  });
  b.bp("/channelGroup");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ChannelGroupName: [],
      Description: [],
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateChannelGroupCommand");
var se_CreateOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ContainerType: [],
      Description: [],
      HlsManifests: (_) => se_CreateHlsManifests(_, context),
      LowLatencyHlsManifests: (_) => se_CreateLowLatencyHlsManifests(_, context),
      OriginEndpointName: [],
      Segment: (_) => (0, import_smithy_client._json)(_),
      StartoverWindowSeconds: [],
      Tags: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateOriginEndpointCommand");
var se_DeleteChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelCommand");
var se_DeleteChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelGroupCommand");
var se_DeleteChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelPolicyCommand");
var se_DeleteOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteOriginEndpointCommand");
var se_DeleteOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteOriginEndpointPolicyCommand");
var se_GetChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelCommand");
var se_GetChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelGroupCommand");
var se_GetChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelPolicyCommand");
var se_GetOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetOriginEndpointCommand");
var se_GetOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetOriginEndpointPolicyCommand");
var se_ListChannelGroupsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup");
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListChannelGroupsCommand");
var se_ListChannelsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListChannelsCommand");
var se_ListOriginEndpointsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListOriginEndpointsCommand");
var se_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_ListTagsForResourceCommand");
var se_PutChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Policy: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_PutChannelPolicyCommand");
var se_PutOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Policy: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_PutOriginEndpointPolicyCommand");
var se_TagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_TagResourceCommand");
var se_UntagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  const query = (0, import_smithy_client.map)({
    [_tK]: [
      (0, import_smithy_client.expectNonNull)(input.TagKeys, `TagKeys`) != null,
      () => (input[_TK] || []).map((_entry) => _entry)
    ]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_UntagResourceCommand");
var se_UpdateChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Description: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateChannelCommand");
var se_UpdateChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Description: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateChannelGroupCommand");
var se_UpdateOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ContainerType: [],
      Description: [],
      HlsManifests: (_) => se_CreateHlsManifests(_, context),
      LowLatencyHlsManifests: (_) => se_CreateLowLatencyHlsManifests(_, context),
      Segment: (_) => (0, import_smithy_client._json)(_),
      StartoverWindowSeconds: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateOriginEndpointCommand");
var de_CreateChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateChannelCommand");
var de_CreateChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateChannelGroupCommand");
var de_CreateOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateOriginEndpointCommand");
var de_DeleteChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelCommand");
var de_DeleteChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelGroupCommand");
var de_DeleteChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelPolicyCommand");
var de_DeleteOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteOriginEndpointCommand");
var de_DeleteOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteOriginEndpointPolicyCommand");
var de_GetChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelCommand");
var de_GetChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelGroupCommand");
var de_GetChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    Policy: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelPolicyCommand");
var de_GetOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetOriginEndpointCommand");
var de_GetOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    OriginEndpointName: import_smithy_client.expectString,
    Policy: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetOriginEndpointPolicyCommand");
var de_ListChannelGroupsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_ChannelGroupsList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListChannelGroupsCommand");
var de_ListChannelsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_ChannelList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListChannelsCommand");
var de_ListOriginEndpointsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_OriginEndpointsList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListOriginEndpointsCommand");
var de_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListTagsForResourceCommand");
var de_PutChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_PutChannelPolicyCommand");
var de_PutOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_PutOriginEndpointPolicyCommand");
var de_TagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 204 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_TagResourceCommand");
var de_UntagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 204 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_UntagResourceCommand");
var de_UpdateChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateChannelCommand");
var de_UpdateChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateChannelGroupCommand");
var de_UpdateOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateOriginEndpointCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "AccessDeniedException":
    case "com.amazonaws.mediapackagev2#AccessDeniedException":
      throw await de_AccessDeniedExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.mediapackagev2#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalServerException":
    case "com.amazonaws.mediapackagev2#InternalServerException":
      throw await de_InternalServerExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.mediapackagev2#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ServiceQuotaExceededException":
    case "com.amazonaws.mediapackagev2#ServiceQuotaExceededException":
      throw await de_ServiceQuotaExceededExceptionRes(parsedOutput, context);
    case "ThrottlingException":
    case "com.amazonaws.mediapackagev2#ThrottlingException":
      throw await de_ThrottlingExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.mediapackagev2#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var throwDefaultError = (0, import_smithy_client.withBaseException)(MediaPackageV2ServiceException);
var de_AccessDeniedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new AccessDeniedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_AccessDeniedExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    ConflictExceptionType: import_smithy_client.expectString,
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ConflictExceptionRes");
var de_InternalServerExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new InternalServerException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_InternalServerExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceTypeNotFound: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ResourceNotFoundExceptionRes");
var de_ServiceQuotaExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ServiceQuotaExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ServiceQuotaExceededExceptionRes");
var de_ThrottlingExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ThrottlingException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ThrottlingExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ValidationExceptionType: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ValidationExceptionRes");
var se_CreateHlsManifestConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    ChildManifestName: [],
    FilterConfiguration: (_) => se_FilterConfiguration(_, context),
    ManifestName: [],
    ManifestWindowSeconds: [],
    ProgramDateTimeIntervalSeconds: [],
    ScteHls: import_smithy_client._json
  });
}, "se_CreateHlsManifestConfiguration");
var se_CreateHlsManifests = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_CreateHlsManifestConfiguration(entry, context);
  });
}, "se_CreateHlsManifests");
var se_CreateLowLatencyHlsManifestConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    ChildManifestName: [],
    FilterConfiguration: (_) => se_FilterConfiguration(_, context),
    ManifestName: [],
    ManifestWindowSeconds: [],
    ProgramDateTimeIntervalSeconds: [],
    ScteHls: import_smithy_client._json
  });
}, "se_CreateLowLatencyHlsManifestConfiguration");
var se_CreateLowLatencyHlsManifests = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_CreateLowLatencyHlsManifestConfiguration(entry, context);
  });
}, "se_CreateLowLatencyHlsManifests");
var se_FilterConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    End: (_) => Math.round(_.getTime() / 1e3),
    ManifestFilter: [],
    Start: (_) => Math.round(_.getTime() / 1e3),
    TimeDelaySeconds: []
  });
}, "se_FilterConfiguration");
var de_ChannelGroupListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
}, "de_ChannelGroupListConfiguration");
var de_ChannelGroupsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ChannelGroupListConfiguration(entry, context);
  });
  return retVal;
}, "de_ChannelGroupsList");
var de_ChannelList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ChannelListConfiguration(entry, context);
  });
  return retVal;
}, "de_ChannelList");
var de_ChannelListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
}, "de_ChannelListConfiguration");
var de_FilterConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    End: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    ManifestFilter: import_smithy_client.expectString,
    Start: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    TimeDelaySeconds: import_smithy_client.expectInt32
  });
}, "de_FilterConfiguration");
var de_GetHlsManifestConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    ChildManifestName: import_smithy_client.expectString,
    FilterConfiguration: (_) => de_FilterConfiguration(_, context),
    ManifestName: import_smithy_client.expectString,
    ManifestWindowSeconds: import_smithy_client.expectInt32,
    ProgramDateTimeIntervalSeconds: import_smithy_client.expectInt32,
    ScteHls: import_smithy_client._json,
    Url: import_smithy_client.expectString
  });
}, "de_GetHlsManifestConfiguration");
var de_GetHlsManifests = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_GetHlsManifestConfiguration(entry, context);
  });
  return retVal;
}, "de_GetHlsManifests");
var de_GetLowLatencyHlsManifestConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    ChildManifestName: import_smithy_client.expectString,
    FilterConfiguration: (_) => de_FilterConfiguration(_, context),
    ManifestName: import_smithy_client.expectString,
    ManifestWindowSeconds: import_smithy_client.expectInt32,
    ProgramDateTimeIntervalSeconds: import_smithy_client.expectInt32,
    ScteHls: import_smithy_client._json,
    Url: import_smithy_client.expectString
  });
}, "de_GetLowLatencyHlsManifestConfiguration");
var de_GetLowLatencyHlsManifests = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_GetLowLatencyHlsManifestConfiguration(entry, context);
  });
  return retVal;
}, "de_GetLowLatencyHlsManifests");
var de_OriginEndpointListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    HlsManifests: import_smithy_client._json,
    LowLatencyHlsManifests: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString
  });
}, "de_OriginEndpointListConfiguration");
var de_OriginEndpointsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_OriginEndpointListConfiguration(entry, context);
  });
  return retVal;
}, "de_OriginEndpointsList");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var isSerializableHeaderValue = /* @__PURE__ */ __name((value) => value !== void 0 && value !== null && value !== "" && (!Object.getOwnPropertyNames(value).includes("length") || value.length != 0) && (!Object.getOwnPropertyNames(value).includes("size") || value.size != 0), "isSerializableHeaderValue");
var _CT = "ClientToken";
var _ET = "ETag";
var _MR = "MaxResults";
var _NT = "NextToken";
var _TK = "TagKeys";
var _mR = "maxResults";
var _nT = "nextToken";
var _tK = "tagKeys";
var _xact = "x-amzn-client-token";
var _xauim = "x-amzn-update-if-match";

// src/commands/CreateChannelCommand.ts
var _CreateChannelCommand = class _CreateChannelCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateChannel", {}).n("MediaPackageV2Client", "CreateChannelCommand").f(void 0, void 0).ser(se_CreateChannelCommand).de(de_CreateChannelCommand).build() {
};
__name(_CreateChannelCommand, "CreateChannelCommand");
var CreateChannelCommand = _CreateChannelCommand;

// src/commands/CreateChannelGroupCommand.ts




var _CreateChannelGroupCommand = class _CreateChannelGroupCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateChannelGroup", {}).n("MediaPackageV2Client", "CreateChannelGroupCommand").f(void 0, void 0).ser(se_CreateChannelGroupCommand).de(de_CreateChannelGroupCommand).build() {
};
__name(_CreateChannelGroupCommand, "CreateChannelGroupCommand");
var CreateChannelGroupCommand = _CreateChannelGroupCommand;

// src/commands/CreateOriginEndpointCommand.ts




var _CreateOriginEndpointCommand = class _CreateOriginEndpointCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateOriginEndpoint", {}).n("MediaPackageV2Client", "CreateOriginEndpointCommand").f(void 0, void 0).ser(se_CreateOriginEndpointCommand).de(de_CreateOriginEndpointCommand).build() {
};
__name(_CreateOriginEndpointCommand, "CreateOriginEndpointCommand");
var CreateOriginEndpointCommand = _CreateOriginEndpointCommand;

// src/commands/DeleteChannelCommand.ts




var _DeleteChannelCommand = class _DeleteChannelCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannel", {}).n("MediaPackageV2Client", "DeleteChannelCommand").f(void 0, void 0).ser(se_DeleteChannelCommand).de(de_DeleteChannelCommand).build() {
};
__name(_DeleteChannelCommand, "DeleteChannelCommand");
var DeleteChannelCommand = _DeleteChannelCommand;

// src/commands/DeleteChannelGroupCommand.ts




var _DeleteChannelGroupCommand = class _DeleteChannelGroupCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannelGroup", {}).n("MediaPackageV2Client", "DeleteChannelGroupCommand").f(void 0, void 0).ser(se_DeleteChannelGroupCommand).de(de_DeleteChannelGroupCommand).build() {
};
__name(_DeleteChannelGroupCommand, "DeleteChannelGroupCommand");
var DeleteChannelGroupCommand = _DeleteChannelGroupCommand;

// src/commands/DeleteChannelPolicyCommand.ts




var _DeleteChannelPolicyCommand = class _DeleteChannelPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannelPolicy", {}).n("MediaPackageV2Client", "DeleteChannelPolicyCommand").f(void 0, void 0).ser(se_DeleteChannelPolicyCommand).de(de_DeleteChannelPolicyCommand).build() {
};
__name(_DeleteChannelPolicyCommand, "DeleteChannelPolicyCommand");
var DeleteChannelPolicyCommand = _DeleteChannelPolicyCommand;

// src/commands/DeleteOriginEndpointCommand.ts




var _DeleteOriginEndpointCommand = class _DeleteOriginEndpointCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteOriginEndpoint", {}).n("MediaPackageV2Client", "DeleteOriginEndpointCommand").f(void 0, void 0).ser(se_DeleteOriginEndpointCommand).de(de_DeleteOriginEndpointCommand).build() {
};
__name(_DeleteOriginEndpointCommand, "DeleteOriginEndpointCommand");
var DeleteOriginEndpointCommand = _DeleteOriginEndpointCommand;

// src/commands/DeleteOriginEndpointPolicyCommand.ts




var _DeleteOriginEndpointPolicyCommand = class _DeleteOriginEndpointPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteOriginEndpointPolicy", {}).n("MediaPackageV2Client", "DeleteOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_DeleteOriginEndpointPolicyCommand).de(de_DeleteOriginEndpointPolicyCommand).build() {
};
__name(_DeleteOriginEndpointPolicyCommand, "DeleteOriginEndpointPolicyCommand");
var DeleteOriginEndpointPolicyCommand = _DeleteOriginEndpointPolicyCommand;

// src/commands/GetChannelCommand.ts




var _GetChannelCommand = class _GetChannelCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannel", {}).n("MediaPackageV2Client", "GetChannelCommand").f(void 0, void 0).ser(se_GetChannelCommand).de(de_GetChannelCommand).build() {
};
__name(_GetChannelCommand, "GetChannelCommand");
var GetChannelCommand = _GetChannelCommand;

// src/commands/GetChannelGroupCommand.ts




var _GetChannelGroupCommand = class _GetChannelGroupCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannelGroup", {}).n("MediaPackageV2Client", "GetChannelGroupCommand").f(void 0, void 0).ser(se_GetChannelGroupCommand).de(de_GetChannelGroupCommand).build() {
};
__name(_GetChannelGroupCommand, "GetChannelGroupCommand");
var GetChannelGroupCommand = _GetChannelGroupCommand;

// src/commands/GetChannelPolicyCommand.ts




var _GetChannelPolicyCommand = class _GetChannelPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannelPolicy", {}).n("MediaPackageV2Client", "GetChannelPolicyCommand").f(void 0, void 0).ser(se_GetChannelPolicyCommand).de(de_GetChannelPolicyCommand).build() {
};
__name(_GetChannelPolicyCommand, "GetChannelPolicyCommand");
var GetChannelPolicyCommand = _GetChannelPolicyCommand;

// src/commands/GetOriginEndpointCommand.ts




var _GetOriginEndpointCommand = class _GetOriginEndpointCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetOriginEndpoint", {}).n("MediaPackageV2Client", "GetOriginEndpointCommand").f(void 0, void 0).ser(se_GetOriginEndpointCommand).de(de_GetOriginEndpointCommand).build() {
};
__name(_GetOriginEndpointCommand, "GetOriginEndpointCommand");
var GetOriginEndpointCommand = _GetOriginEndpointCommand;

// src/commands/GetOriginEndpointPolicyCommand.ts




var _GetOriginEndpointPolicyCommand = class _GetOriginEndpointPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetOriginEndpointPolicy", {}).n("MediaPackageV2Client", "GetOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_GetOriginEndpointPolicyCommand).de(de_GetOriginEndpointPolicyCommand).build() {
};
__name(_GetOriginEndpointPolicyCommand, "GetOriginEndpointPolicyCommand");
var GetOriginEndpointPolicyCommand = _GetOriginEndpointPolicyCommand;

// src/commands/ListChannelGroupsCommand.ts




var _ListChannelGroupsCommand = class _ListChannelGroupsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListChannelGroups", {}).n("MediaPackageV2Client", "ListChannelGroupsCommand").f(void 0, void 0).ser(se_ListChannelGroupsCommand).de(de_ListChannelGroupsCommand).build() {
};
__name(_ListChannelGroupsCommand, "ListChannelGroupsCommand");
var ListChannelGroupsCommand = _ListChannelGroupsCommand;

// src/commands/ListChannelsCommand.ts




var _ListChannelsCommand = class _ListChannelsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListChannels", {}).n("MediaPackageV2Client", "ListChannelsCommand").f(void 0, void 0).ser(se_ListChannelsCommand).de(de_ListChannelsCommand).build() {
};
__name(_ListChannelsCommand, "ListChannelsCommand");
var ListChannelsCommand = _ListChannelsCommand;

// src/commands/ListOriginEndpointsCommand.ts




var _ListOriginEndpointsCommand = class _ListOriginEndpointsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListOriginEndpoints", {}).n("MediaPackageV2Client", "ListOriginEndpointsCommand").f(void 0, void 0).ser(se_ListOriginEndpointsCommand).de(de_ListOriginEndpointsCommand).build() {
};
__name(_ListOriginEndpointsCommand, "ListOriginEndpointsCommand");
var ListOriginEndpointsCommand = _ListOriginEndpointsCommand;

// src/commands/ListTagsForResourceCommand.ts




var _ListTagsForResourceCommand = class _ListTagsForResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListTagsForResource", {}).n("MediaPackageV2Client", "ListTagsForResourceCommand").f(void 0, void 0).ser(se_ListTagsForResourceCommand).de(de_ListTagsForResourceCommand).build() {
};
__name(_ListTagsForResourceCommand, "ListTagsForResourceCommand");
var ListTagsForResourceCommand = _ListTagsForResourceCommand;

// src/commands/PutChannelPolicyCommand.ts




var _PutChannelPolicyCommand = class _PutChannelPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "PutChannelPolicy", {}).n("MediaPackageV2Client", "PutChannelPolicyCommand").f(void 0, void 0).ser(se_PutChannelPolicyCommand).de(de_PutChannelPolicyCommand).build() {
};
__name(_PutChannelPolicyCommand, "PutChannelPolicyCommand");
var PutChannelPolicyCommand = _PutChannelPolicyCommand;

// src/commands/PutOriginEndpointPolicyCommand.ts




var _PutOriginEndpointPolicyCommand = class _PutOriginEndpointPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "PutOriginEndpointPolicy", {}).n("MediaPackageV2Client", "PutOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_PutOriginEndpointPolicyCommand).de(de_PutOriginEndpointPolicyCommand).build() {
};
__name(_PutOriginEndpointPolicyCommand, "PutOriginEndpointPolicyCommand");
var PutOriginEndpointPolicyCommand = _PutOriginEndpointPolicyCommand;

// src/commands/TagResourceCommand.ts




var _TagResourceCommand = class _TagResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "TagResource", {}).n("MediaPackageV2Client", "TagResourceCommand").f(void 0, void 0).ser(se_TagResourceCommand).de(de_TagResourceCommand).build() {
};
__name(_TagResourceCommand, "TagResourceCommand");
var TagResourceCommand = _TagResourceCommand;

// src/commands/UntagResourceCommand.ts




var _UntagResourceCommand = class _UntagResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UntagResource", {}).n("MediaPackageV2Client", "UntagResourceCommand").f(void 0, void 0).ser(se_UntagResourceCommand).de(de_UntagResourceCommand).build() {
};
__name(_UntagResourceCommand, "UntagResourceCommand");
var UntagResourceCommand = _UntagResourceCommand;

// src/commands/UpdateChannelCommand.ts




var _UpdateChannelCommand = class _UpdateChannelCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateChannel", {}).n("MediaPackageV2Client", "UpdateChannelCommand").f(void 0, void 0).ser(se_UpdateChannelCommand).de(de_UpdateChannelCommand).build() {
};
__name(_UpdateChannelCommand, "UpdateChannelCommand");
var UpdateChannelCommand = _UpdateChannelCommand;

// src/commands/UpdateChannelGroupCommand.ts




var _UpdateChannelGroupCommand = class _UpdateChannelGroupCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateChannelGroup", {}).n("MediaPackageV2Client", "UpdateChannelGroupCommand").f(void 0, void 0).ser(se_UpdateChannelGroupCommand).de(de_UpdateChannelGroupCommand).build() {
};
__name(_UpdateChannelGroupCommand, "UpdateChannelGroupCommand");
var UpdateChannelGroupCommand = _UpdateChannelGroupCommand;

// src/commands/UpdateOriginEndpointCommand.ts




var _UpdateOriginEndpointCommand = class _UpdateOriginEndpointCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateOriginEndpoint", {}).n("MediaPackageV2Client", "UpdateOriginEndpointCommand").f(void 0, void 0).ser(se_UpdateOriginEndpointCommand).de(de_UpdateOriginEndpointCommand).build() {
};
__name(_UpdateOriginEndpointCommand, "UpdateOriginEndpointCommand");
var UpdateOriginEndpointCommand = _UpdateOriginEndpointCommand;

// src/MediaPackageV2.ts
var commands = {
  CreateChannelCommand,
  CreateChannelGroupCommand,
  CreateOriginEndpointCommand,
  DeleteChannelCommand,
  DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand,
  GetChannelCommand,
  GetChannelGroupCommand,
  GetChannelPolicyCommand,
  GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand,
  ListChannelGroupsCommand,
  ListChannelsCommand,
  ListOriginEndpointsCommand,
  ListTagsForResourceCommand,
  PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateChannelCommand,
  UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand
};
var _MediaPackageV2 = class _MediaPackageV2 extends MediaPackageV2Client {
};
__name(_MediaPackageV2, "MediaPackageV2");
var MediaPackageV2 = _MediaPackageV2;
(0, import_smithy_client.createAggregatedClient)(commands, MediaPackageV2);

// src/pagination/ListChannelGroupsPaginator.ts

var paginateListChannelGroups = (0, import_core.createPaginator)(MediaPackageV2Client, ListChannelGroupsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListChannelsPaginator.ts

var paginateListChannels = (0, import_core.createPaginator)(MediaPackageV2Client, ListChannelsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListOriginEndpointsPaginator.ts

var paginateListOriginEndpoints = (0, import_core.createPaginator)(MediaPackageV2Client, ListOriginEndpointsCommand, "NextToken", "NextToken", "MaxResults");

// src/index.ts
var import_util_endpoints = require("@aws-sdk/util-endpoints");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  MediaPackageV2ServiceException,
  __Client,
  MediaPackageV2Client,
  MediaPackageV2,
  $Command,
  CreateChannelCommand,
  CreateChannelGroupCommand,
  CreateOriginEndpointCommand,
  DeleteChannelCommand,
  DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand,
  GetChannelCommand,
  GetChannelGroupCommand,
  GetChannelPolicyCommand,
  GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand,
  ListChannelGroupsCommand,
  ListChannelsCommand,
  ListOriginEndpointsCommand,
  ListTagsForResourceCommand,
  PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateChannelCommand,
  UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand,
  paginateListChannelGroups,
  paginateListChannels,
  paginateListOriginEndpoints,
  AccessDeniedException,
  AdMarkerHls,
  ConflictExceptionType,
  ConflictException,
  InternalServerException,
  ThrottlingException,
  ValidationExceptionType,
  ValidationException,
  ResourceTypeNotFound,
  ResourceNotFoundException,
  ServiceQuotaExceededException,
  ContainerType,
  CmafEncryptionMethod,
  TsEncryptionMethod,
  DrmSystem,
  PresetSpeke20Audio,
  PresetSpeke20Video,
  ScteFilter
});

