import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListOriginEndpointsCommand, se_ListOriginEndpointsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListOriginEndpointsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("mediapackagev2", "ListOriginEndpoints", {})
    .n("MediaPackageV2Client", "ListOriginEndpointsCommand")
    .f(void 0, void 0)
    .ser(se_ListOriginEndpointsCommand)
    .de(de_ListOriginEndpointsCommand)
    .build() {
}
